/**
--- 01 TYPOGRAPHY SYSTEM
		
		- FONT SIZE SYSTEM (px)
		  10 || 12 || 14 || 16 || 18 || 20 || 24 || 30 || 36 || 44 || 52 || 62 || 74 || 86 || 98
		
		- FONT WEIGHT
		  400 || 500 || 600 || 700

		 - LINE HEIGHT
		 	1 || 1.05 || 1.2 || 1.6 || 1.8

		 - LETTER SPACING
		 	-0.5px || 0.75px

--- 02 COLOR SYSTEM
	
		- Primary : #e67e22;
		- Grey : 
				text-color(#555)
				heading-primary(#333);
		- Accents () :
		- Tints (Darker) :
				tints1-color(#cf711f)
				tints2-color(#eb984e)
				tints3-color (#45260a);
		- Shades (Lighter):
				shades-grey(#ddd)
				shades-light-grey(#aaa)
				shades-lightest-grey(#6f6f6f)
				shades-lightest-grey-on-white(#767676)
				shades1-color(#fff)
				shades2-color(#fdf2e9)


				

--- 03 Images
		
		- https://unsplash.com/ --------- free images w/o any restrictions
		- https://www.uifaces.co/ ------- free avatar

--- 04 Icons

--- 05 Shadows

--- 06 Border-Radius
		9px || 11px || 50%

--- 07 WhiteSpace
		
		- SPACING SYSTEM (px)
		  2 || 4 || 8 || 12 || 16 || 24 || 32 || 48 || 64 || 80 || 96 || 128

--- Responsive Design

	300px - 500px = 600px
	600px - 900px = 900px
	900px - 1100px = 1200px
	1200px = > 1200px

	- FLuid Layout
	- Responsive Unit
	- Flexible Images
	- Media Queries

**/

/* Font TypeFace Start */
@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@400;500;600;700&display=swap');
/* Font TypeFace End */
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

:root{

	--primary-color: #e67e22;
	--text-color: #555;
	--text-grey: #888;
	--heading-primary-color: #333;
	--tints1-color: #cf711f;
	--tints2-color: #eb984e;
	--tints3-color: #45260a;
	--shades-grey: #ddd;
	--shades-light-grey: #aaa;
	--shades-lightest-grey: #6f6f6f;
	--shades-lightest-grey-on-white: #767676;
	--shades1-color: #fff;
	--shades2-color: #fdf2e9;
	--shades3-color: #fae5d3;
	--accent-color: ;
	--bg-color-green: #51cf66;
	--bg-color-yellow: #ffd43b;
	--bg-color-grey: #333;
}

html{
	/* font-size: 10px; */
	/* 10px || 16px = 0.625 = 62.5% */
	/* Percentage of user's browser font-size setting */
	font-size: 62.5%;
	overflow-x: hidden;

	/* Scroll-behavior property does not work on other browser */
	/* Only Works for Google Chrome & Firefox */
	/*scroll-behavior: smooth;*/
}

body{
	font-family: 'Rubik', sans-serif;
	line-height: 1;
	font-weight: 400;
	color: var(--text-color);

	/* Only works if there is nothing absolutely position in relation to body */
	overflow-x: hidden;
}

/*********************************************************/
/* General | Reusable | Helper Class Component Start */

/*Box Container Start*/
.container{
	max-width: 120rem;
	margin: 0 auto;
	padding: 3.2rem;
}

.grid{
	display: grid;
	gap: 9.6rem;
}

.grid--2-cols{
	grid-template-columns: repeat(2, 1fr);
}

.grid--3-cols{
	grid-template-columns: repeat(3, 1fr);
}

.grid--4-cols{
	grid-template-columns: repeat(4, 1fr);
}

.grid--5-cols{
	grid-template-columns: repeat(5, 1fr);
}

.grid--center-v{
	align-items: center;
}
/*Box Container End  */


.heading-primary,
.heading-secondary,
.heading-tertiary{
	font-weight: 700;
	color: var(--heading-primary-color);
	letter-spacing: -0.5px;
}

.heading-primary{
	font-size: 5.2rem;
	line-height: 1.05;
	margin: 0 0 3.2rem;
}

.heading-secondary{
	font-size: 4.4rem;
	line-height: 1.2;
	margin: 0 0 9.6rem;
}

.heading-tertiary{
	font-size: 3rem;
	line-height: 1.2;
	margin: 0 0 3.2rem;
}

.sub-heading{
	display: block;
	font-size: 1.6rem;
	font-weight: 500;
	color: var(--tints1-color);
	text-transform: uppercase;
	margin: 0 0 1.6rem;
	letter-spacing: 0.75px;
}

.btn, .btn:link, .btn:visited{
	background-color: var(--primary-color);
	text-decoration: none;
	font-size: 1.6rem;
	font-weight: 600;
	color: var(--shades1-color);
	display: inline-block;
	padding: 1.6rem 3.2rem;
	border-radius: 9px;


	/*Only for .btn class itself*/
	font-family: inherit;
	border: none;
	cursor: pointer;


	/* "ALWAYS" Put transition on "ORIGINAL STATE" */
	/*transition: background-color 0.3s;*/
	transition: all 0.3s;
}

.btn--full:link, .btn--full:visited{
	background-color: var(--primary-color);
}

.btn--full:hover, .btn--full:active{
	background-color: var(--tints1-color);
}

.btn--outline:link, .btn--outline:visited{
	background-color: var(--shades1-color);
	color: var(--text-color);
}

.btn--outline:hover, .btn--outline:active{
	background-color: var(--shades2-color);

	/* Trick to add border inside */
	box-shadow: inset 0 0 0 .3rem var(--shades1-color);
}

.link:link, .link:visited{
	display: inline-block;
	text-decoration: none;
	color: var(--primary-color);
	border-bottom: 1px solid currentColor;
	padding: 0 0 .3rem;

	transition: all 0.3s;
}

.link:hover, .link:active{
	color: var(--tints1-color);
	border-bottom: 1px solid transparent;
}


.btn--form{
	background-color: var(--tints3-color);
	color: var(--shades2-color);
	align-self: end;
	padding: 1.2rem;

	transition: all 0.3s;
}

.btn--form:hover{
	background-color: var(--shades1-color);
	color: var(--text-color);
}

.list{
	list-style: none;
	
	display: flex;
	flex-direction: column;
	gap: 1.6rem;
}

.list-item{
	font-size: 1.8rem;

	display: flex;
	align-items: center;
	gap: 1.6rem;
	line-height: 1.2;
}

.list-item-icon{
	width: 3rem;
	height: 3rem;
	color: var(--primary-color);
}


*:focus{
	outline: none;
	/*outline: 4px dotted #e67e22;*/
	/*outline-offset: 8px;*/
	box-shadow: 0 0 0 0.2rem rgba(230, 125, 34, 0.5);
}

/* HELPER || SETTINGS CLASSES */
.margin-right-sm{
	margin: 0 1.6rem 0 0;
}

.margin-bottom-md{
	margin: 0 0 4.8rem;
}

.margin-bottom-none{
	margin-bottom: 0;
}

strong{
	font-weight: 500;
}

.text-center{
	text-align: center;
}
/* General | Reusable | Helper Class Component End   */
/*********************************************************/





/*********************************************************/
/*===== Header Section Start =====*/
.header{
	background-color: var(--shades2-color);
	display: flex;
	justify-content: space-between;
	align-items: center;

	height: 9.6rem;
	padding: 0 4.8rem;
	position: relative;
}

.header-logo{
	height: 6.2rem;
}

.main-nav{}

.main-nav-list{
	list-style: none;
	display: flex;
	align-items: center;
	gap: 4.8rem;
}

.main-nav-link:link, .main-nav-link:visited{
	text-decoration: none;
	color: var(--heading-primary-color);
	font-weight: 500;
	font-size: 1.8rem;

	transition: all 0.3s;
	display: inline-block;
}

.main-nav-link:hover, .main-nav-link:active{
	color: var(--tints1-color);
}

.main-nav-link.nav-cta:link, .main-nav-link.nav-cta:visited{
	padding: 1.2rem 2.4rem;
	border-radius: 9px;
	color: var(--shades1-color);
	background-color: var(--primary-color);

	display: inline-block;
}

.main-nav-link.nav-cta:hover, .main-nav-link.nav-cta:active{
	background-color: var(--tints1-color);
}

/* Mobile Nav */
.btn-mobile-nav{
	border: none;
	background: none;
	cursor: pointer;

	display: none;
}

.icon-mobile-nav{
	height: 4.8rem;
	width: 4.8rem;
	color: var(--bg-color-grey);
}

/*
	<ion-icon  class="icon-mobile-nav" name="menu-outline"></ion-icon>
	<ion-icon  class="icon-mobile-nav" name="close-outline"></ion-icon>
*/
.icon-mobile-nav[name="menu-outline"]{

}

.icon-mobile-nav[name="close-outline"]{
	display: none;
}

/* Sticky Navigation Start */
.sticky .header{
	position: fixed;
	top: 0;
	bottom: 0;

	background-color: rgba(253, 242, 233, .90);
	width: 100vw;
	height: 8rem;
	padding-top: 0;
	padding-bottom: 0;
	z-index: 99;

	box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);

}

.sticky .section-hero{
	margin: 9.6rem 0 0;
}
/* Sticky Navigation End   */
/*===== Header Section End   =====*/
/*********************************************************/





/*********************************************************/
/*===== HERO Section Start =====*/
.section-hero{
	background-color: var(--shades2-color);
	/*padding: 9.6rem 0;*/
}

.hero-container{
	max-width: 130rem;
	min-height: 100vh;
	margin: 0 auto;
	padding: 3.2rem;

	display: grid;
	grid-template-columns: repeat(2, 1fr);
	align-items: center;
	gap: 9.6rem;
}

.hero-text-box{}

.hero-summary{
	font-size: 2rem;
	line-height: 1.5;
	margin: 0 0 4.8rem;
}

.hero-img-box{}

.hero-img{
	width: 100%;
}

.delivered-meals{
	display: flex;
	align-items: center;
	gap: 1.6rem;
	margin: 6.4rem 0 0;
}

.delivered-imgs{
	display: flex;
}

.delivered-imgs img{
	height: 4.8rem;
	width: 4.8rem;
	border-radius: 50%;
	margin: 0 -1.6rem 0 0;
	border: 3px solid var(--shades2-color);
}

.delivered-imgs img:last-child{
	margin: 0;
}

.delivered-text{
	font-size: 1.8rem;
	font-weight: 600;
}

.delivered-text span{
	color: var(--tints1-color);
	font-weight: 700;
}
/*===== HERO Section End   =====*/
/*********************************************************/





/*********************************************************/
/*===== FEATURED IN Section Start   =====*/
.section-featured{
	padding: 4.8rem 0 3.2rem;
}

.heading-featured{
	color: var(--text-grey);
	font-size: 1.4 rem;
	text-transform: uppercase;
	font-weight: 500;
	letter-spacing: 0.75px;
	text-align: center;
	margin: 0 0 2.4rem;
}

.logos{
	display: flex;
	justify-content: space-around;
	align-items: center;

}

.logos img{
	height: 3rem;

	/* Make the images Grey using Filter */
	filter: brightness(0);
	opacity: .5;
}
/*===== FEATURED IN Section End     =====*/
/*********************************************************/





/*********************************************************/
/*===== HOW IT WORKS Section Start =====*/
.section-how{
	padding: 3.2rem;
}

.step-text-box{}

.step-number{
	font-size: 8.6rem;
	font-weight: 600;
	color: var(--shades-grey);
	margin: 0 0 1.2rem
}

.step-description{
	font-size: 1.8rem;
	line-height: 1.6;
}

.step-img-box{
	display: flex;
	align-items: center;
	justify-content: center;

	position: relative;
	z-index: 10;
}

.step-img-box::before,
.step-img-box::after{
	content: "";
	display: block;
	border-radius: 50%;

	/* Make the Position absolute & Center it*/
	position: absolute;
	top: 50%;
	left: 50%;
	/* To make it center */
	transform: translate(-50%, -50%); /* translate(horizontally(x), vertically(y)) */
}

.step-img-box::before{
	
	width: 60%;
	/* height: 60%; The height propert might not gonna work instead use padding*/
	/* In Order to make a height use the padding-bottom property  */
	/* 60% of parent's witdh */
	padding: 0 0 60%;
	background-color: var(--shades2-color);
	
	/* To make it under the image use z-index*/
	z-index: -2; /* The higher the value is the most prioriity */
}

.step-img-box::after{
	width: 45%;
	padding: 0 0 45%;
	background-color: var(--shades3-color);
	z-index: -1;
}

.step-img{
	width: 35%;
}
/*===== HOW IT WORKS Section End   =====*/
/*********************************************************/





/*********************************************************/
/*===== MEALS Section Start =====*/
.section-meals{
	padding: 9.6rem 0;
}

.meal{
	box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, .075);
	border-radius: 11px;

	/*  property specifies what should happen if content overflows an element's box */
	overflow: hidden;

	transition: all 0.4s;
}

.meal:hover{
	transform: translate(0, -1.4rem); /* translate(horizontally(x), vertically(y)) */

	box-shadow: 0 3.2rem 6.4rem rgba(0, 0, 0, .06);
}

.meal-img{
	width: 100%;
}

.meal-content{
	padding: 3.2rem 2.9rem 4.8rem;
}

.meal-tag{
	margin: 0 0 1.2rem;

	display: flex;
	gap: .5rem;
}

.tag{
	display: inline-block;
	padding: .4rem .8rem;
	font-size: 1.2rem;
	text-transform: uppercase;
	font-weight: 600;
	color: var(--heading-primary-color);
	border-radius: 100px;
}

.tag--vegetarian{
	background-color: var(--bg-color-green);
}

.tag--paleo{
	background-color: var(--bg-color-yellow);
}

.meal-title{
	font-size: 2.4rem;
	color: var(--heading-primary-color);
	font-weight: 600;
	margin: 0 0 3.2rem;
}

.meal-attributes{
	list-style: none;
	display: flex;
	flex-direction: column;
	gap: 2rem;
}

.meal-attribute{
	font-size: 1.8rem;

	display: flex;
	align-items: center;
	gap: 1.6rem;
}

.meal-icon{
	color: var(--primary-color);
}

.diets{}

.diet-list{
	list-style: none;
	
	display: flex;
	flex-direction: column;
	gap: 1.6rem;
}

.list-item{
	font-size: 1.8rem;

	display: flex;
	align-items: center;
	gap: 1.6rem;
}

.diet-list-item-icon{
	width: 3rem;
	height: 3rem;
	color: var(--primary-color);
}

.all-recipes{
	text-align: center;
	font-size: 1.8rem;
}
/*===== MEALS Section End   =====*/
/*********************************************************/






/*********************************************************/
/*===== TESTIMONIAL Section Start =====*/
.section-testimonial{
	background-color: var(--shades2-color);
	display: grid;
	grid-template-columns: 55fr 45fr;
	align-items: center;
}

.testimonials-container{
	padding: 9.6rem;
}

.testimonials{
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 4.8rem 8rem; /* gap: row column; */
}

.testimonial{}

.testimonial-img{
	width: 6.4rem;
	border-radius: 50%;
	margin: 0 0 1.2rem;
}

.testimonial-text{
	font-size: 1.8rem;
	line-height: 1.8;
	margin: 0 0 1.8rem;
}

.testimonial-name{
	font-size: 1.6rem;
	color: var(--shades-lightest-grey);
}

.gallery{
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 1.6rem;
	padding: 1.6rem;
}

.gallery-item{
	overflow: hidden;
}

.gallery-item img{
	display: block;
	width: 100%;

	transition: all 0.5s;

}

.gallery-item img:hover{
	transform: scale(1.1);

}
/*===== TESTIMONIAL Section End   =====*/
/*********************************************************/





/*********************************************************/
/*===== PRICING Section Start =====*/
.section-pricing{
	padding: 9.6rem 0;

}

.pricing-plan{
	border-radius: 11px;
	width: 75%;
}

.pricing-plan--starter{
	justify-self: end;
	padding: 4.6rem;
	border: 2px solid var(--shades2-color);
}

.pricing-plan--complete{
	background-color: var(--shades2-color);
	padding: 4.8rem;

	position: relative;
	overflow: hidden;
}

.pricing-plan--complete::after{
	content: "Best Value";
	font-size: 1.4rem;
	text-transform: uppercase;
	font-weight: 700;
	color: var(--heading-primary-color);
	background-color: var(--bg-color-yellow);
	padding: .8rem 8rem;

	position: absolute;
	top: 6%;
	right: -19%;
	transform: rotate(45deg);
}

.pricing-plan-header{
	text-align: center;
	margin: 0 0 4.8rem;
}

.plan-name{
	color: var(--tints1-color);
	font-weight: 600;
	font-size: 2rem;
	text-transform: uppercase;
	letter-spacing: 0.75;
	margin: 0 0 3.2rem;
}

.plan-price{
	font-size: 6.2rem;
	font-weight: 600;
	color: var(--heading-primary-color);
	margin: 0 0 1.6rem;
}

.plan-price span{
	font-size: 3rem;
	font-weight: 500;
	margin: 0 0.8rem 0 0;
}

.plan-text{
	font-size: 1.6rem;
	line-height: 1.6;
	color: var(--shades-lightest-grey);
}

.plan-sign-up{
	text-align: center;
	margin: 4.8rem 0 0;
}

.plan-details{
	font-size: 1.6rem;
	line-height: 1.6;
	text-align: center;
	margin: 0 0 6.4rem;
}

.feature{}

.feature-icon{
	color: var(--primary-color);
	height: 3.2rem;
	width: 3.2rem;
	background-color: var(--shades2-color);
	margin: 0 0 3.2rem;
	padding: 1.6rem;
	border-radius: 50%;
}

.feature-title{
	color: var(--heading-primary-color);
	font-size: 2.4rem;
	font-weight: 700;
	margin: 0 0 1.6rem;
}

.feature-text{
	font-size: 1.8rem;
	line-height: 1.8;
}
/*===== PRICING Section End   =====*/
/*********************************************************/





/*********************************************************/
/*===== CALL-TO-ACTION Section Start =====*/
.section-cta{
	padding: 4.8rem 0 12.8rem;
}

.cta{
	display: grid;
	grid-template-columns: 2fr 1fr;
	background-color: var(--primary-color);
	box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, .20); 
	border-radius: 11px;

	background-image: linear-gradient(to right bottom, var(--tints2-color), var(--primary-color));
	overflow: hidden;
}

.cta-txt-box{
	color: var(--tints3-color);
	padding: 4.8rem 6.4rem 6.4rem;
}

.cta-txt-box .heading-secondary{
	color: inherit;
	margin: 0 0 3.2rem;
}

.cta-txt{
	font-size: 1.8rem;
	line-height: 1.8;
	margin: 0 0 4.8rem;
}

.cta-form{
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 2.4rem 3.2rem;
}

.cta-form label{
	display: block;
	font-size: 1.6rem;
	font-weight: 500;
	margin: 0 0 1.2rem;
}

.cta-form input, .cta-form select{
	width: 100%;
	font-size: 1.6rem;
	padding: 1.2rem;
	font-family: inherit;
	color: inherit;
	border-radius: 9px;
	border: none;
	background-color: var(--shades2-color);

	box-shadow: 0 1px 2px rgba(0, 0, 0, .1);
}

.cta-form input::placeholder{
	color: var(--shades-light-grey);
}

.cta-img-box{
	background-image: linear-gradient(to right bottom, rgba(235, 151, 78, 0.35), rgba(230, 125, 34, 0.35)), url("../img/eating.jpg");
	background-size: cover;
	background-position: center;
	
}

.cta *:focus{
	outline: none;
	box-shadow: 0 0 0 0.2rem rgba(253, 242, 233, 0.5);
}
/*===== CALL-TO-ACTION Section End   =====*/
/*********************************************************/




/*********************************************************/
/*===== FOOTER Section Start =====*/
.footer{
	padding: 12.8rem 0;
	border-top: 1px solid #eee;
}

.grid--footer{
	grid-template-columns: 1.5fr 1.5fr 1fr 1fr 1fr;
}

.footer-logo-col{
	display: flex;
	flex-direction: column;
}

.footer-heading{
	font-size: 1.8rem;
	font-weight: 500;
	margin: 0 0 4rem;
	line-height: ;
}

.footer-logo-link{
	display: block;
	margin: 0 0 3.2rem;
}

.footer-logo{
	height: 5.2rem;
}

.footer-social-links{
	list-style: none;

	display: flex;
	gap: 2.4rem;
}

.footer-social-icon{
	height: 2.4rem;
	width: 2.4rem;
}

.copyright{
	font-size: 1.4rem;
	line-height: 1.6;
	color: var(--shades-lightest-grey-on-white);

	margin: auto 0 0;

}

.footer-address-col{}

.contact{
	font-style: normal;
	font-size: 1.6rem;
	line-height: 1.6;
}

.address{
	margin: 0 0 2.4rem;
}

.footer-nav{
	list-style: none;

	display: flex;
	flex-direction: column;
	gap: 2.4rem;
}

.footer-link:link, .footer-link:visited{
	text-decoration: none;
	font-size: 1.6rem;
	color: var(--shades-lightest-grey-on-white);

	transition: all 0.3s;
}

.footer-link:hover, .footer-link:active{
	color: var(--text-color);
}


.footer-nav-col{

}
/*===== FOOTER Section End   =====*/
/*********************************************************/